org.apache.hc.client5.http.ssl

## Enum HostnameVerificationPolicy

- java.lang.Object
- - java.lang.Enum<HostnameVerificationPolicy>
  - - org.apache.hc.client5.http.ssl.HostnameVerificationPolicy

- All Implemented Interfaces:
    Serializable, Comparable<HostnameVerificationPolicy>

      public enum HostnameVerificationPolicy
      extends Enum<HostnameVerificationPolicy>

  Hostname verification policy.
  Since:
    5.4
  See Also:
    `HostnameVerifier`, `DefaultHostnameVerifier`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTH` Hostname verification is executed by the JSSE provider and by HttpClient post TLS handshake.
    `BUILTIN` Hostname verification is delegated to the JSSE provider, usually executed during the TLS handshake.
    `CLIENT` Hostname verification is executed by HttpClient post TLS handshake.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HostnameVerificationPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HostnameVerificationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUILTIN

          public static final HostnameVerificationPolicy BUILTIN

      Hostname verification is delegated to the JSSE provider, usually executed during the TLS handshake.

    - #### CLIENT

          public static final HostnameVerificationPolicy CLIENT

      Hostname verification is executed by HttpClient post TLS handshake.

    - #### BOTH

          public static final HostnameVerificationPolicy BOTH

      Hostname verification is executed by the JSSE provider and by HttpClient post TLS handshake.

  - ### Method Detail

    - #### values

          public static HostnameVerificationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HostnameVerificationPolicy c : HostnameVerificationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HostnameVerificationPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.